
/**
 * @file keyboard_test.c - test keyboard module
 *
 * Copyright (c) 2008, Steve Denson
 *
 * ----------------------------------------------------------------------------
 *                        TERMS OF USE: MIT License
 * ----------------------------------------------------------------------------
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 * ----------------------------------------------------------------------------
 */

#include <stdio.h>
#include <propeller.h>
#include "tv_text.h"
#include "keyboard.h"

/*
 * main entry
 */
 
int main(void)
{
    int rc = 0;
    int cog = tvText_start(20);
    puts("Keyboard Test Demo");

    cog = keybd_start(26,27);
    printf("Keyboard cog %d\n",cog);
    printf("Keyboard %spresent\n",keybd_present()?"":"not ");
    
    printf("Strike any key ... ");
    while(!kbhit())
        ;
    printf("kbhit OK\n");
    printf("Key hit '%c'\n",getkey());
    
    printf("Strike the spacebar ... ");
    getchar();
    while(!(rc = keybd_keystate(' ')))
        ;
    printf("got space!\n");

    printf("Waiting to echo what you type.\n");
    while(1)
        printf("%c", getchar());
        
    while(1);
    return 0;
}

